Subject: bug#34986: write-region not governed by require-final-newline

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Mon, 25 Mar 2019 12:14:06 +0800

>>>>> "BLC" == Basil L Contovounesios <[email-masked]> writes:

BLC> The user option require-final-newline is relevant only when visiting
BLC> files, not when writing to arbitrary ones,

OK, but perhaps add a note about that somewhere on the docstring:

require-final-newline...
Documentation:
Whether to add a newline automatically at the end of the file.

A value of t means do this only when the file is about to be saved.
A value of ‘visit’ means do this right after the file is visited.
A value of ‘visit-save’ means do it at both of those times.
Any other non-nil value means ask user whether to add a newline, when saving.
A value of nil means don’t add newlines.